Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.table
Class OdfTableElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement
                                  org.odftoolkit.odfdom.dom.element.table.OdfTableElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfTable

    public abstract class OdfTableElement

extends OdfStylableElement

DOM implementation of OpenDocument element table:table.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`mFamily, mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfTableElement(OdfFileDom aOwnerDoc)` Create the instance of OdfTableElement

Method Summary
`OdfDdeSourceElement` | `createDdeSourceElement(String ddeApplication, String ddeTopic, String ddeItem)` Create child element office:dde-source.
`OdfDescElement` | `createDescElement()` Create child element table:desc.
`OdfFormElement` | `createFormElement()` Create child element form:form.
`OdfModelElement` | `createModelElement()` Create child element xforms:model.
`OdfScenarioElement` | `createScenarioElement(OdfCellRangeAddressList scenarioRanges, OdfBoolean isActive)` Create child element table:scenario.
`OdfShapesElement` | `createShapesElement()` Create child element table:shapes.
`OdfSoftPageBreakElement` | `createSoftPageBreakElement()` Create child element text:soft-page-break.
`OdfTableColumnElement` | `createTableColumnElement()` Create child element table:table-column.
`OdfTableColumnGroupElement` | `createTableColumnGroupElement()` Create child element table:table-column-group.
`OdfTableColumnsElement` | `createTableColumnsElement()` Create child element table:table-columns.
`OdfTableHeaderColumnsElement` | `createTableHeaderColumnsElement()` Create child element table:table-header-columns.
`OdfTableHeaderRowsElement` | `createTableHeaderRowsElement()` Create child element table:table-header-rows.
`OdfTableRowElement` | `createTableRowElement()` Create child element table:table-row.
`OdfTableRowGroupElement` | `createTableRowGroupElement()` Create child element table:table-row-group.
`OdfTableRowsElement` | `createTableRowsElement()` Create child element table:table-rows.
`OdfTableSourceElement` | `createTableSourceElement(OdfAnyURI href)` Create child element table:table-source.
`OdfTitleElement` | `createTitleElement()` Create child element table:title.
`OdfBoolean` | `getIsSubTable()` Get value of attribute table:is-sub-table.
`String` | `getName()` Get value of attribute table:name.
`OdfName` | `getOdfName()` Get the element name
`OdfBoolean` | `getPrint()` Get value of attribute table:print.
`OdfCellRangeAddressList` | `getPrintRanges()` Get value of attribute table:print-ranges.
`OdfBoolean` | `getProtected()` Get value of attribute table:protected.
`String` | `getProtectionKey()` Get value of attribute table:protection-key.
`OdfAnyURI` | `getProtectionKeyDigestAlgorithm()` Get value of attribute table:protection-key-digest-algorithm.
`String` | `getStyleName()` Get value of attribute table:style-name.
`String` | `getTemplateName()` Get value of attribute table:template-name.
`OdfBoolean` | `getUseBandingColumnsStyles()` Get value of attribute table:use-banding-columns-styles.
`OdfBoolean` | `getUseBandingRowsStyles()` Get value of attribute table:use-banding-rows-styles.
`OdfBoolean` | `getUseFirstColumnStyles()` Get value of attribute table:use-first-column-styles.
`OdfBoolean` | `getUseFirstRowStyles()` Get value of attribute table:use-first-row-styles.
`OdfBoolean` | `getUseLastColumnStyles()` Get value of attribute table:use-last-column-styles.
`OdfBoolean` | `getUseLastRowStyles()` Get value of attribute table:use-last-row-styles.
`OdfId` | `getXmlid()` Get value of attribute xml:id.
`void` | `setIsSubTable(OdfBoolean isIsSubTable)` Set value of attribute table:is-sub-table.
`void` | `setName(String name)` Set value of attribute table:name.
`void` | `setPrint(OdfBoolean isPrint)` Set value of attribute table:print.
`void` | `setPrintRanges(OdfCellRangeAddressList printRanges)` Set value of attribute table:print-ranges.
`void` | `setProtected(OdfBoolean isProtected)` Set value of attribute table:protected.
`void` | `setProtectionKey(String protectionKey)` Set value of attribute table:protection-key.
`void` | `setProtectionKeyDigestAlgorithm(OdfAnyURI protectionKeyDigestAlgorithm)` Set value of attribute table:protection-key-digest-algorithm.
`void` | `setStyleName(OdfStyleNameRef styleName)` Set value of attribute table:style-name.
`void` | `setTemplateName(String templateName)` Set value of attribute table:template-name.
`void` | `setUseBandingColumnsStyles(OdfBoolean isUseBandingColumnsStyles)` Set value of attribute table:use-banding-columns-styles.
`void` | `setUseBandingRowsStyles(OdfBoolean isUseBandingRowsStyles)` Set value of attribute table:use-banding-rows-styles.
`void` | `setUseFirstColumnStyles(OdfBoolean isUseFirstColumnStyles)` Set value of attribute table:use-first-column-styles.
`void` | `setUseFirstRowStyles(OdfBoolean isUseFirstRowStyles)` Set value of attribute table:use-first-row-styles.
`void` | `setUseLastColumnStyles(OdfBoolean isUseLastColumnStyles)` Set value of attribute table:use-last-column-styles.
`void` | `setUseLastRowStyles(OdfBoolean isUseLastRowStyles)` Set value of attribute table:use-last-row-styles.
`void` | `setXmlid(OdfId xmlid)` Set value of attribute xml:id.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfStylableElement
`getAutomaticStyle, getAutomaticStyles, getDocumentStyle, getOrCreateUnqiueAutomaticStyle, getProperties, getProperty, getStrictProperties, getStyleFamily, hasAutomaticStyle, hasDocumentStyle, hasProperty, onInsertNode, onRemoveNode, removeProperty, reuseDocumentStyle, setAttributeNS, setDocumentStyle, setProperties, setProperty, setStyleName`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfTableElement

    public OdfTableElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfTableElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element table:table.

### getName

    public String getName()

  Get value of attribute table:name.

  Returns:
    return the attribute which type is String

### setName

    public void setName(String name)

  Set value of attribute table:name.

  Parameters:
    `name` - the attribute's type is String

### getStyleName

    public String getStyleName()

  Get value of attribute table:style-name.

  Overrides:
    `getStyleName` in class `OdfStylableElement`
  Returns:
    return the attribute which type is String

### setStyleName

    public void setStyleName(OdfStyleNameRef styleName)

  Set value of attribute table:style-name.

  Parameters:
    `styleName` - the attribute's type is OdfStyleNameRef

### getTemplateName

    public String getTemplateName()

  Get value of attribute table:template-name.

  Returns:
    return the attribute which type is String

### setTemplateName

    public void setTemplateName(String templateName)

  Set value of attribute table:template-name.

  Parameters:
    `templateName` - the attribute's type is String

### getUseFirstRowStyles

    public OdfBoolean getUseFirstRowStyles()

  Get value of attribute table:use-first-row-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setUseFirstRowStyles

    public void setUseFirstRowStyles(OdfBoolean isUseFirstRowStyles)

  Set value of attribute table:use-first-row-styles.

  Parameters:
    `isUseFirstRowStyles` - the attribute's type is OdfBoolean

### getUseLastRowStyles

    public OdfBoolean getUseLastRowStyles()

  Get value of attribute table:use-last-row-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setUseLastRowStyles

    public void setUseLastRowStyles(OdfBoolean isUseLastRowStyles)

  Set value of attribute table:use-last-row-styles.

  Parameters:
    `isUseLastRowStyles` - the attribute's type is OdfBoolean

### getUseFirstColumnStyles

    public OdfBoolean getUseFirstColumnStyles()

  Get value of attribute table:use-first-column-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setUseFirstColumnStyles

    public void setUseFirstColumnStyles(OdfBoolean isUseFirstColumnStyles)

  Set value of attribute table:use-first-column-styles.

  Parameters:
    `isUseFirstColumnStyles` - the attribute's type is OdfBoolean

### getUseLastColumnStyles

    public OdfBoolean getUseLastColumnStyles()

  Get value of attribute table:use-last-column-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setUseLastColumnStyles

    public void setUseLastColumnStyles(OdfBoolean isUseLastColumnStyles)

  Set value of attribute table:use-last-column-styles.

  Parameters:
    `isUseLastColumnStyles` - the attribute's type is OdfBoolean

### getUseBandingRowsStyles

    public OdfBoolean getUseBandingRowsStyles()

  Get value of attribute table:use-banding-rows-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setUseBandingRowsStyles

    public void setUseBandingRowsStyles(OdfBoolean isUseBandingRowsStyles)

  Set value of attribute table:use-banding-rows-styles.

  Parameters:
    `isUseBandingRowsStyles` - the attribute's type is OdfBoolean

### getUseBandingColumnsStyles

    public OdfBoolean getUseBandingColumnsStyles()

  Get value of attribute table:use-banding-columns-styles.

  Returns:
    return the attribute which type is OdfBoolean

### setUseBandingColumnsStyles

    public void setUseBandingColumnsStyles(OdfBoolean isUseBandingColumnsStyles)

  Set value of attribute table:use-banding-columns-styles.

  Parameters:
    `isUseBandingColumnsStyles` - the attribute's type is OdfBoolean

### getProtected

    public OdfBoolean getProtected()

  Get value of attribute table:protected.

  Returns:
    return the attribute which type is OdfBoolean

### setProtected

    public void setProtected(OdfBoolean isProtected)

  Set value of attribute table:protected.

  Parameters:
    `isProtected` - the attribute's type is OdfBoolean

### getProtectionKey

    public String getProtectionKey()

  Get value of attribute table:protection-key.

  Returns:
    return the attribute which type is String

### setProtectionKey

    public void setProtectionKey(String protectionKey)

  Set value of attribute table:protection-key.

  Parameters:
    `protectionKey` - the attribute's type is String

### getProtectionKeyDigestAlgorithm

    public OdfAnyURI getProtectionKeyDigestAlgorithm()

  Get value of attribute table:protection-key-digest-algorithm.

  Returns:
    return the attribute which type is OdfAnyURI

### setProtectionKeyDigestAlgorithm

    public void setProtectionKeyDigestAlgorithm(OdfAnyURI protectionKeyDigestAlgorithm)

  Set value of attribute table:protection-key-digest-algorithm.

  Parameters:
    `protectionKeyDigestAlgorithm` - the attribute's type is OdfAnyURI

### getPrint

    public OdfBoolean getPrint()

  Get value of attribute table:print.

  Returns:
    return the attribute which type is OdfBoolean

### setPrint

    public void setPrint(OdfBoolean isPrint)

  Set value of attribute table:print.

  Parameters:
    `isPrint` - the attribute's type is OdfBoolean

### getPrintRanges

    public OdfCellRangeAddressList getPrintRanges()

  Get value of attribute table:print-ranges.

  Returns:
    return the attribute which type is OdfCellRangeAddressList

### setPrintRanges

    public void setPrintRanges(OdfCellRangeAddressList printRanges)

  Set value of attribute table:print-ranges.

  Parameters:
    `printRanges` - the attribute's type is OdfCellRangeAddressList

### getXmlid

    public OdfId getXmlid()

  Get value of attribute xml:id.

  Returns:
    return the attribute which type is OdfId

### setXmlid

    public void setXmlid(OdfId xmlid)

  Set value of attribute xml:id.

  Parameters:
    `xmlid` - the attribute's type is OdfId

### getIsSubTable

    public OdfBoolean getIsSubTable()

  Get value of attribute table:is-sub-table.

  Returns:
    return the attribute which type is OdfBoolean

### setIsSubTable

    public void setIsSubTable(OdfBoolean isIsSubTable)

  Set value of attribute table:is-sub-table.

  Parameters:
    `isIsSubTable` - the attribute's type is OdfBoolean

### createTitleElement

    public OdfTitleElement createTitleElement()

  Create child element table:title.

  Returns:
    return the element table:title

### createDescElement

    public OdfDescElement createDescElement()

  Create child element table:desc.

  Returns:
    return the element table:desc

### createTableSourceElement

    public OdfTableSourceElement createTableSourceElement(OdfAnyURI href)

  Create child element table:table-source.

  Parameters:
    `href` - the attribute's type is URI
  Returns:
    return the element table:table-source

### createDdeSourceElement

    public OdfDdeSourceElement createDdeSourceElement(String ddeApplication,
                                                      String ddeTopic,
                                                      String ddeItem)

  Create child element office:dde-source.

  Parameters:
    `ddeApplication` - String
    `ddeTopic` - String
    `ddeItem` - String
  Returns:
    return the element office:dde-source

### createScenarioElement

    public OdfScenarioElement createScenarioElement(OdfCellRangeAddressList scenarioRanges,
                                                    OdfBoolean isActive)

  Create child element table:scenario.

  Parameters:
    `scenarioRanges` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfCellRangeAddressList
    `isActive` - the attribute's type is org.odftoolkit.odfdom.dom.type.OdfBoolean
  Returns:
    return the element table:scenario

### createFormElement

    public OdfFormElement createFormElement()

  Create child element form:form.

  Returns:
    return the element form:form

### createModelElement

    public OdfModelElement createModelElement()

  Create child element xforms:model.

  Returns:
    return the element xforms:model

### createShapesElement

    public OdfShapesElement createShapesElement()

  Create child element table:shapes.

  Returns:
    return the element table:shapes

### createTableColumnGroupElement

    public OdfTableColumnGroupElement createTableColumnGroupElement()

  Create child element table:table-column-group.

  Returns:
    return the element table:table-column-group

### createTableColumnsElement

    public OdfTableColumnsElement createTableColumnsElement()

  Create child element table:table-columns.

  Returns:
    return the element table:table-columns

### createTableColumnElement

    public OdfTableColumnElement createTableColumnElement()

  Create child element table:table-column.

  Returns:
    return the element table:table-column

### createTableHeaderColumnsElement

    public OdfTableHeaderColumnsElement createTableHeaderColumnsElement()

  Create child element table:table-header-columns.

  Returns:
    return the element table:table-header-columns

### createTableRowGroupElement

    public OdfTableRowGroupElement createTableRowGroupElement()

  Create child element table:table-row-group.

  Returns:
    return the element table:table-row-group

### createTableRowsElement

    public OdfTableRowsElement createTableRowsElement()

  Create child element table:table-rows.

  Returns:
    return the element table:table-rows

### createSoftPageBreakElement

    public OdfSoftPageBreakElement createSoftPageBreakElement()

  Create child element text:soft-page-break.

  Returns:
    return the element text:soft-page-break

### createTableRowElement

    public OdfTableRowElement createTableRowElement()

  Create child element table:table-row.

  Returns:
    return the element table:table-row

### createTableHeaderRowsElement

    public OdfTableHeaderRowsElement createTableHeaderRowsElement()

  Create child element table:table-header-rows.

  Returns:
    return the element table:table-header-rows

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.